﻿<html>
<head>
<title>K-console</title>
<style type="text/css">
body
	{
     background-color: #202020;
     }

.Title
  {
  font-family:Arial,Helvetica,sans-serif; color:#EEEEEE; padding-left:1px; font-size:150%; background-color:#FF5000; height:32px; padding-top:5px; margin-left:-5px; margin-right:-5px; margin-top:-5px;
  }

.divInfo
  {
  display:block;
  height:30px;
  background-color:#555555; outline:#000000 solid 1px;
  margin-top:10px; margin-left:15px; margin-right:15px; margin-bottom:2px;
  padding-left:5px; padding-top:5px;
  font-family:Arial,Helvetica,sans-serif;
  font-size:100%;
  color:#EEEEEE;
  overflow:hidden;
  }

.InnerDiv
  {
  display:block;
  height:93%;
  background-color:#202020; outline:#000000 solid 1px;
  margin-top:15px; margin-left:2px; margin-right:6px; margin-bottom:2px;
  padding-left:5px; padding-top:5px;
  font-family:Arial,Helvetica,sans-serif;
  font-size:100%;
  color:#EEEEEE;
  overflow:hidden;
  }


 .darkblue-font 
 {
    color: blue;
 }
  
.white-font
{
	color: white;
}

.orange-background 
{
 background-color: #FF5000;
}

.beige-background
{
	background-color: beige;
}
  
</style>

<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"></script>
<script type="text/javascript">

    /*
    function ToggleList(IDS)
    {
    var CState = document.getElementById(IDS);
    //  if (CState.style.display != "block") { CState.style.display = "block"; }
    //                                  else { CState.style.display = "none"; }
    if (CState.style.height != "500px" ) { CState.style.height = "500px"; }
    else { CState.style.height = "30px"; }
    }
    */

    function CollapseAllDiv() {
        var CState;
        var sClosed = "30px";
        CState = document.getElementById('boxDash'); CState.style.height = sClosed;
        CState = document.getElementById('boxWeekly'); CState.style.height = sClosed;
        CState = document.getElementById('boxDaily'); CState.style.height = sClosed;
        CState = document.getElementById('boxLocations'); CState.style.height = sClosed;
        CState = document.getElementById('boxAsset'); CState.style.height = sClosed;
        CState = document.getElementById('boxUtils'); CState.style.height = sClosed;
    }


    function OptiminalDivHeight() {
        if (screen.height < 1100) return "600px";
        return "1000px";
    }

    function OpenSingleDiv(sDiv) {
        var bOpen = true;
        var CState = document.getElementById(sDiv);
        if (CState.style.height == OptiminalDivHeight()) { bOpen = false; }

        if (!bOpen) { return false; }

        CollapseAllDiv();

        CState.style.height = OptiminalDivHeight();
        return true;
    }

    function GetCurrentDate() {
        var currentDate = new Date();
        var day = currentDate.getDate();
        var month = currentDate.getMonth() + 1;
        var year = currentDate.getFullYear();
        return day + "/" + month + "/" + year;
    }

    function httpGet(theUrl) {
        var xmlHttp = null;

        xmlHttp = new XMLHttpRequest();
        xmlHttp.open("GET", theUrl, false);
        xmlHttp.send(null);
        return xmlHttp.responseText;
    }





    function ChartWidth(nc) {
        if (screen.width > 1000) {
            if (nc == 1) { return 500; }
            if (nc == 2) { return 1010; }
        }
        else {
            if (nc == 1) { return 420; }
            if (nc == 2) { return 850; }
        }
    }
    function drawOverallTotalsByFeature(sDivContent) {
        var sTableData = httpGet("/Tracker/TotalsByFeature");
        var JSNobj = eval("(" + sTableData + ")");
        var ChartData = new google.visualization.DataTable(JSNobj);
        
        var options = { 'title': 'Totals by Feature Type',
            'width': ChartWidth(1),
            'height': 250
        };

        var chart = new google.visualization.ColumnChart(document.getElementById(sDivContent));
        chart.draw(ChartData, options);
    }

    function drawOverallTotalsByUser(sDivContent) {
        var sTableData = httpGet("/Tracker/TotalsByUser");
        var JSNobj = eval("(" + sTableData + ")");
        var ChartData = new google.visualization.DataTable(JSNobj);
        
        var options = { 'title': 'Totals by User',
            'width': ChartWidth(1),
            'height': 250
        };

        var chart = new google.visualization.ColumnChart(document.getElementById(sDivContent));
        chart.draw(ChartData, options);
    }

    function drawOverallProgress(sDivContent) {
        var sTableData = httpGet("/Tracker/OverallProgress");
        var JSNobj = eval("(" + sTableData + ")");
        
        var ChartData = new google.visualization.DataTable(JSNobj);
        var options = { 'title': 'Cumulative Totals',
            'width': ChartWidth(2),
            'height': 240
        };

        var chart = new google.visualization.LineChart(document.getElementById(sDivContent));
        chart.draw(ChartData, options);
    }


    function drawAssetTable(sDivContent) {
        var sTableData = httpGet("/Tracker/DeviceUtilisation");
        var JSNobj = eval ("(" + sTableData + ")");
        var TableData = new google.visualization.DataTable(JSNobj);

        var table = new google.visualization.Table(document.getElementById(sDivContent));

        var cssClassNames = {
            'headerRow': 'white-font orange-background',
            'tableRow': 'darkblue-font',
            'oddTableRow': 'darkblue-font beige-background' };

        var options = { 'showRowNumber': true, 'cssClassNames': cssClassNames };


        table.draw(TableData, options);
    }





    function drawDailyActivity(sDivContent, sPeriod) {
        var sTableData = httpGet("/Tracker/TotalsByUserInPeriod?period=" + sPeriod);
        var JSNobj = eval("(" + sTableData + ")");
        var TableData = new google.visualization.DataTable(JSNobj);

        var options = {
            width: 800, height: 200,
            redFrom: 0, redTo: 10,
            greenFrom: 75, greenTo: 100,
            minorTicks: 5
        };

        var chart = new google.visualization.Gauge(document.getElementById(sDivContent));
        chart.draw(TableData, options);
    }
    
    function drawWeeklyActivity(sDivContent, sPeriod) {
        var sTableData = httpGet("/Tracker/TotalsByUserInPeriod?period=" + sPeriod);
        var JSNobj = eval("(" + sTableData + ")");
        var TableData = new google.visualization.DataTable(JSNobj);

        var options = {
            width: 800, height: 200,
            redFrom: 0, redTo: 50,
            greenFrom: 300, greenTo: 400,
            max:400,
            minorTicks: 5
        };

        var chart = new google.visualization.Gauge(document.getElementById(sDivContent));
        chart.draw(TableData, options);
    }


    function drawMap(sDivContent) {
        var sTableData = httpGet("/Tracker/LiveLocations?maxage=3");
        var JSNobj = eval("(" + sTableData + ")");
        var TableData = new google.visualization.DataTable(JSNobj);

        var map = new google.visualization.Map(document.getElementById(sDivContent));
        map.draw(TableData, { showTip: true });
    }






    function ShowDailyReports(sDiv) {
        OpenSingleDiv(sDiv)
        drawDailyActivity('Gauge1', 'today');
        drawDailyActivity('Gauge2', 'yesterday');
    }


    function ShowAsset(sDiv) {
        OpenSingleDiv(sDiv)
        drawAssetTable('AssetContent');
    }

    function ShowDashBoard(sDiv, sDivContent) {
        OpenSingleDiv(sDiv)
        drawOverallTotalsByFeature('Chart1');
        drawOverallTotalsByUser('Chart2');
        drawOverallProgress('Chart3');
    }


    function ShowWeeklyReports(sDiv) {
        OpenSingleDiv(sDiv)
        drawWeeklyActivity('GaugeThisWeek', 'thisweek');
        drawWeeklyActivity('GaugeLastWeek', 'lastweek');

    }


    function ShowUtils(sDiv) {
        OpenSingleDiv(sDiv)
    }
 

    function ShowLocations(sDiv) {
        if (!OpenSingleDiv(sDiv)) { return; }
        drawMap('LocationsContent');
    }


    function popitup(url) {
        newwindow = window.open(url, 'name', 'height=480,width=640,status=yes,toolbar=no,menubar=no,location=no,left=200,top=250,scrollbars=yes,resizable=yes');
        if (window.focus) { newwindow.focus() }
        return false;
    }

    function ShowDebugInfo() {
        alert('Width=' + screen.width);
        alert('Height=' + screen.height);
    }

    function myloadfunction() {
        ShowDailyReports('boxDaily')
    }
</script>


</head>
<body onload="myloadfunction()">
  <p class="Title" onclick="ShowDebugInfo()">
  &nbsp &nbsp K-Web Console : @ViewBag.Company
  </p>

  <div id="boxDaily" class="divInfo" onclick="ShowDailyReports('boxDaily')">Daily Reports
  	<div id="boxDailyInner" class="InnerDiv">
  		Today<div id="Gauge1"></div>
  		Yesterday<div id="Gauge2"></div>
  	</div>
  </div>

  <div id="boxLocations" class="divInfo" onclick="ShowLocations('boxLocations')">Live Locations
    <div id="boxLocationsInner" class="InnerDiv">
   		<div id="LocationsContent" class="InnerDiv"></div>
  	</div>
  </div>
  

  <div id="boxWeekly" class="divInfo" onclick="ShowWeeklyReports('boxWeekly')">Weekly Reports
  	<div id="boxWeeklyInner" class="InnerDiv">
  		This Week<div id="GaugeThisWeek"></div>
  		Last Week<div id="GaugeLastWeek"></div>
  	</div>
  </div>

  <div id="boxDash" class="divInfo" onclick="ShowDashBoard('boxDash','boxDashInner')">Dashboards
  	<div id="boxDashInner" class="InnerDiv">
  		<div id="Chart1" style="float: left; margin:5px;"></div>
  		<div id="Chart2" style="float: left; margin:5px;"></div>
  		<div id="Chart3" style="float: left; margin:5px;"></div>
  	</div>
  </div>

  <div id="boxAsset" class="divInfo" onclick="ShowAsset('boxAsset')">Asset Management
  	<div id="boxAssetInner" class="InnerDiv">
    	<div id="AssetContent" class="InnerDiv"></div>
    </div>
  </div>

  <div id="boxUtils" class="divInfo" onclick="ShowUtils('boxUtils')">Desktop Utilities
  <ul id="ulist">
  <li>Desktop Console</li>
  <li>K-Cloud Storage Area</li>
  <li>Mobile Application install</li>
  </ul>

  <a href="popupex.html" onclick="return popitup('panels.htm')">Link to popup</a>
  </div>


<script type="text/javascript">
    google.load('visualization', '1.0', { 'packages': ['corechart'] });
    google.load('visualization', '1', { packages: ['table'] });
    google.load('visualization', '1', { packages: ['gauge'] });
    google.load("visualization", "1", { packages: ["map"] });
</script>

</body>
</html>


